Evaluators
POST
/api/v1/evaluators

Create a single standard evaluator (legacy). Use POST /evaluator-suites for new setups.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Schema for creating an evaluator. Either provide agent_id+persona_id+scenario_id (standard) or metric_ids/custom_prompt (custom).

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/evaluators" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "evaluator_id": "string",  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",  "name": "string",  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",  "persona_id": "84321d19-6cb7-45af-a8d3-0bb38b11a872",  "scenario_id": "7784650b-4be4-4735-b283-be5e48bad01f",  "custom_prompt": "string",  "metric_ids": [    "ac080d46-4569-4639-bbfe-7a035f2bd723"  ],  "llm_provider": "openai",  "llm_model": "string",  "llm_config": {},  "tags": [    "string"  ],  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "created_by": "string"}

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!